Taxes

Add, edit, and delete anything related to taxes.

Tax

tax_id
integer

The internal ID for this tax rate.

type
string

Valid values are state, country, duty, vat, single-vat, all, or other.

tax_rate
number

The percentage rate to charge the customer.

vat_type
string

Valid values are added, included, or other. Only applies to vat and single-vat tax rate types.

state_code
string

Required for tax type state.

country_code
string

Required for tax types state, country, vat (where applicable), and duty. For type duty, this is the exempt country.

stripe_taxrate_id
string

Connect this rate to Stripe, if applicable.

{
  • "tax_id": 0,
  • "type": "string",
  • "tax_rate": 0,
  • "vat_type": "string",
  • "state_code": "string",
  • "country_code": "string",
  • "stripe_taxrate_id": "string"
}

Gets a list of tax rates

This allows you to get a list of tax rates

SecuritybearerAuth or basicAuth
Request
query Parameters
page
integer <int64>

Page number starting at 1

perpage
integer <int64>

Number of items per page

sortby
string

Sort results by term

sortdir
string

Sort results ASC or DESC

search
string

Filter taxes by a search term

Responses
200

Successful operation

400

Unauthorized

get/tax/rates
Request samples
Response samples
application/json
[
  • {
    }
]

Add a tax rate

This allows you to add a new tax rate

SecuritybearerAuth
Request
Request Body schema: application/json
required

Submit any or all elements to add a new tax rate.

type
string

Valid values are state, country, duty, vat, single-vat, all, or other.

tax_rate
number

The percentage rate to charge the customer.

vat_type
string

Valid values are added, included, or other. Only applies to vat and single-vat tax rate types.

state_code
string

Required for tax type state.

country_code
string

Required for tax types state, country, vat (where applicable), and duty. For type duty, this is the exempt country.

stripe_taxrate_id
string

Connect this rate to Stripe, if applicable.

Responses
200

Successful operation

400

Unauthorized

post/tax/rates
Request samples
application/json
{
  • "type": "string",
  • "tax_rate": 0,
  • "vat_type": "string",
  • "state_code": "string",
  • "country_code": "string",
  • "stripe_taxrate_id": "string"
}
Response samples
application/json
{
  • "tax_id": 0,
  • "type": "string",
  • "tax_rate": 0,
  • "vat_type": "string",
  • "state_code": "string",
  • "country_code": "string",
  • "stripe_taxrate_id": "string"
}

Gets a tax rate by ID

This allows you to get a tax rate from your store by tax rate ID

SecuritybearerAuth or basicAuth
Request
path Parameters
tax_id
required
integer <int64>

Tax Rate ID

Responses
200

Successful operation

400

Unauthorized

get/tax/rates/{tax_id}
Request samples
Response samples
application/json
{
  • "tax_id": 0,
  • "type": "string",
  • "tax_rate": 0,
  • "vat_type": "string",
  • "state_code": "string",
  • "country_code": "string",
  • "stripe_taxrate_id": "string"
}

Updates a tax rate by ID

This allows you to update a tax rate

SecuritybearerAuth
Request
path Parameters
tax_id
required
integer <int64>

Tax Rate ID

Request Body schema: application/json
required

Submit any or all elements to update the tax rate.

type
string

Valid values are state, country, duty, vat, single-vat, all, or other.

tax_rate
number

The percentage rate to charge the customer.

vat_type
string

Valid values are added, included, or other. Only applies to vat and single-vat tax rate types.

state_code
string

Required for tax type state.

country_code
string

Required for tax types state, country, vat (where applicable), and duty. For type duty, this is the exempt country.

stripe_taxrate_id
string

Connect this rate to Stripe, if applicable.

Responses
200

Successful operation

400

Unauthorized

patch/tax/rates/{tax_id}
Request samples
application/json
{
  • "type": "string",
  • "tax_rate": 0,
  • "vat_type": "string",
  • "state_code": "string",
  • "country_code": "string",
  • "stripe_taxrate_id": "string"
}
Response samples
application/json
{
  • "tax_id": 0,
  • "type": "string",
  • "tax_rate": 0,
  • "vat_type": "string",
  • "state_code": "string",
  • "country_code": "string",
  • "stripe_taxrate_id": "string"
}

Deletes a tax rate by ID

This allows you to delete a tax rate your store

SecuritybearerAuth
Request
path Parameters
tax_id
required
integer <int64>

Tax Rate ID

Responses
200

Successful operation

400

Unauthorized

delete/tax/rates/{tax_id}
Request samples
Response samples
application/json
{
  • "tax_id": 0,
  • "type": "string",
  • "tax_rate": 0,
  • "vat_type": "string",
  • "state_code": "string",
  • "country_code": "string",
  • "stripe_taxrate_id": "string"
}